Uses of Class
io.vertx.mutiny.core.http.HttpClientResponse
Packages that use HttpClientResponse
-
Uses of HttpClientResponse in io.vertx.mutiny.core.http
Fields in io.vertx.mutiny.core.http with type parameters of type HttpClientResponseModifier and TypeFieldDescriptionstatic final TypeArg<HttpClientResponse>HttpClientResponse.__TYPE_ARGMethods in io.vertx.mutiny.core.http that return HttpClientResponseModifier and TypeMethodDescriptionHttpClientResponse.bodyAndForget()Convenience method for receiving the entire request body in one piece.HttpClientResponse.bodyHandler(Consumer<io.vertx.core.buffer.Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpClientRequest.connectAndAwait()Create an HTTP tunnel to the server.HttpClientResponse.customFrameHandler(Consumer<io.vertx.core.http.HttpFrame> handler) Set an custom frame handler.HttpClientResponse.endAndForget()Returns a underlying uni signaling when the response has been fully received successfully or failed.HttpClientResponse.endHandler(Runnable endHandler) HttpClientResponse.exceptionHandler(Consumer<Throwable> handler) HttpClientResponse.fetch(long amount) static HttpClientResponseHttpClientResponse.newInstance(io.vertx.core.http.HttpClientResponse delegate) Creates a new instance of theHttpClientResponse.HttpClientResponse.pause()HttpClientResponse.pipeToAndForget(WriteStream<io.vertx.core.buffer.Buffer> arg0) Pipe thisReadStreamto theWriteStream.HttpClientRequest.responseAndAwait()Unlike the bare Vert.x variant, this method returns aHttpClientResponse.HttpClientResponse.resume()HttpClientRequest.sendAndAwait()Send the request with an empty body.HttpClientRequest.sendAndAwait(io.vertx.core.buffer.Buffer body) Send the request with a bufferbody.HttpClientRequest.sendAndAwait(io.vertx.core.http.ClientForm form) LikeHttpClientRequest.send()but with aform.HttpClientRequest.sendAndAwait(ReadStream<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.HttpClientRequest.sendAndAwait(String body) Send the request with a stringbody.HttpClientRequest.sendAndAwait(Flow.Publisher<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.HttpClientResponse.streamPriorityHandler(Consumer<io.vertx.core.http.StreamPriority> handler) Set an handler for stream priority changes.Methods in io.vertx.mutiny.core.http that return types with arguments of type HttpClientResponseModifier and TypeMethodDescriptionio.smallrye.mutiny.Uni<HttpClientResponse>HttpClientRequest.connect()Create an HTTP tunnel to the server.io.smallrye.mutiny.Uni<HttpClientResponse>HttpClientRequest.response()Unlike the bare Vert.x variant, this method returns aUni.io.smallrye.mutiny.Uni<HttpClientResponse>HttpClientRequest.send()Send the request with an empty body.io.smallrye.mutiny.Uni<HttpClientResponse>HttpClientRequest.send(io.vertx.core.buffer.Buffer body) Send the request with a bufferbody.io.smallrye.mutiny.Uni<HttpClientResponse>HttpClientRequest.send(io.vertx.core.http.ClientForm form) LikeHttpClientRequest.send()but with aform.io.smallrye.mutiny.Uni<HttpClientResponse>HttpClientRequest.send(ReadStream<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.io.smallrye.mutiny.Uni<HttpClientResponse>Send the request with a stringbody.io.smallrye.mutiny.Uni<HttpClientResponse>HttpClientRequest.send(Flow.Publisher<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.Method parameters in io.vertx.mutiny.core.http with type arguments of type HttpClientResponseModifier and TypeMethodDescriptionHttpClientRequest.redirectHandler(Function<HttpClientResponse, io.smallrye.mutiny.Uni<HttpClientRequest>> handler) HttpClientBuilder.withRedirectHandler(Function<HttpClientResponse, io.smallrye.mutiny.Uni<io.vertx.core.http.RequestOptions>> handler) Set a redirect handler for the http client. -
Uses of HttpClientResponse in io.vertx.mutiny.httpproxy
Methods in io.vertx.mutiny.httpproxy that return HttpClientResponse